package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RefundOrderList;
import com.ssm.manage.entity.RefundRecharge;
import com.ssm.manage.extendEntity.NegativeKazin;
import com.ssm.manage.extendEntity.RechargeNegative;
import com.ssm.manage.query.RefundOrderResquest;
import com.ssm.manage.query.RefundRechargeRequest;
import com.ssm.manage.query.StoreDailyRequest;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.List;

@Component
public interface RefundRechargeMapper extends BaseMapper<RefundRecharge> {

    List<RefundRecharge> selectList(RefundOrderResquest refundOrderResquest);
    List<RefundRecharge> selectLists(RefundOrderResquest refundOrderResquest);
    List<RefundRecharge> selectListschia(RefundOrderResquest refundOrderResquest);

    List<RefundRecharge> selectListNew(RefundRechargeRequest refundRechargeRequest);

    BigDecimal selectFKJByDate(StoreDailyRequest storeDailyRequest);


    BigDecimal selectFKJByRechargeIn(StoreDailyRequest storeDailyRequest);

    BigDecimal selectFKJByRechargeOut(StoreDailyRequest storeDailyRequest);

    List<RefundRecharge> selectListsByRefundRecharge(RefundOrderResquest refundOrderResquest);
}